unit AniMapUploaderSettings;
uses DebugHelperUnit;

type
  TAMUSettings = record
    Email : string;
    Token : string;
    SID: string;
    EasyMode: boolean;
    AutoRunAniMapa: boolean;
  end;

var
  MainSettings: TAMUSettings;

  Procedure SaveSettings(S: TAMUSettings; soubor: string);
  var
   ini: TINIFile;
  begin
    //vytvom INI soubor
    INI := TINIFile.Create(soubor);
    //user config
    INI.WriteString('user', 'email', S.Email);
    INI.WriteString('user', 'token', S.Token);
    INI.WriteString('user', 'SID', S.SID);

    //simple mode
    INI.WriteBool('mode', 'easy', S.EasyMode);
    INI.WriteBool('mode', 'animapa', S.AutoRunAniMapa);

    //uvolnn
    INI.Free;
  end;


  function LoadSettings(soubor: string): TAMUSettings;
  var
    ini: TINIFile;
  begin
    //vytvom INI soubor
    INI := TINIFile.Create(soubor);

    with Result do
    begin;
      //Zklan info o uivateli
      Email := INI.ReadString('user', 'email', '');
      Token := INI.ReadString('user', 'token', '');
      SID := INI.ReadString('user', 'SID', '');

      //simple mode
      EasyMode := INI.ReadBool('mode', 'easy', true);
      AutoRunAniMapa := INI.ReadBool('mode', 'animapa', true);
    end;
    INI.Free;
  end;










end.